Subject: Re: bug#57349: 29.0.50; pixel-scroll-precision-mode. error integer-or-marker-p nil

From: Gerd Möllmann <[email-masked]>
Date: Tue, 23 Aug 2022 14:15:59 +0200

Eli Zaretskii <[email-masked]> writes:

>> <nil> <wheel-down> is undefined
>
> It may surprise this, but why do you think this is a problem?  How is
> it different from what happens if you do this, for example:
>
>   C-M-<F10>
>
> (assuming that sequence is not bound to some command)?

I mentioned it only because I thought it might have been relevant in
some way.  One never knows.

>> or sometimes errors 'Wrong type argument: integer-or-marker-p, nil'.
>
> This shouldn't happen, indeed.
>
>> Not sure what to make of this.  Looks like posn-at-x-y returns a posn
>> with a nil point?  Or maybe posn-point returns nil?
>
> Either this should be fixed, or the code should be prepared for nil in
> this case.

Yup.

I could add a check in the function that does the (goto-char nil), but I
don't know if that would be only fixing a symptom of something else.